diff options
author | Jeremy Benoist <jeremy.benoist@gmail.com> | 2018-11-25 09:58:18 +0100 |
---|---|---|
committer | Jeremy Benoist <jeremy.benoist@gmail.com> | 2018-11-25 09:58:18 +0100 |
commit | b878be4cc99fd4927c70b59386cf7a57b33bb381 (patch) | |
tree | 9a5186ead93b9f6114b5341a7713f614eb58f6ec /scripts | |
parent | e673b54f702f274a087e4feff409663d9636e57b (diff) | |
parent | bffe65478de71113a16f6e7a7ef75845c9d61180 (diff) | |
download | wallabag-b878be4cc99fd4927c70b59386cf7a57b33bb381.tar.gz wallabag-b878be4cc99fd4927c70b59386cf7a57b33bb381.tar.zst wallabag-b878be4cc99fd4927c70b59386cf7a57b33bb381.zip |
Merge remote-tracking branch 'origin/master' into 2.4
# Conflicts:
# web/wallassets/baggy.js
# web/wallassets/manifest.json
# web/wallassets/material.css
# web/wallassets/material.js
Diffstat (limited to 'scripts')
-rwxr-xr-x[-rw-r--r--] | scripts/dev.sh | 0 | ||||
-rwxr-xr-x[-rw-r--r--] | scripts/install.sh | 14 | ||||
-rwxr-xr-x[-rw-r--r--] | scripts/release.sh | 0 | ||||
-rwxr-xr-x[-rw-r--r--] | scripts/require.sh | 0 | ||||
-rwxr-xr-x[-rw-r--r--] | scripts/update.sh | 14 |
5 files changed, 28 insertions, 0 deletions
diff --git a/scripts/dev.sh b/scripts/dev.sh index 0703ced1..0703ced1 100644..100755 --- a/scripts/dev.sh +++ b/scripts/dev.sh | |||
diff --git a/scripts/install.sh b/scripts/install.sh index 62a46f4f..8b7ea03f 100644..100755 --- a/scripts/install.sh +++ b/scripts/install.sh | |||
@@ -2,6 +2,20 @@ | |||
2 | # You can execute this file to install wallabag | 2 | # You can execute this file to install wallabag |
3 | # eg: `sh install.sh prod` | 3 | # eg: `sh install.sh prod` |
4 | 4 | ||
5 | IGNORE_ROOT_ARG="--ignore-root-warning" | ||
6 | IGNORE_ROOT=0 | ||
7 | |||
8 | if [ "$1" == "$IGNORE_ROOT_ARG" ]; then | ||
9 | IGNORE_ROOT=1 | ||
10 | fi | ||
11 | |||
12 | # Abort running this script if root | ||
13 | if [ "$IGNORE_ROOT" -eq 0 ] && [ "$EUID" == "0" ]; then | ||
14 | echo "Do not run this script as root!" >&2 | ||
15 | echo "Use $IGNORE_ROOT_ARG to ignore this error." >&2 | ||
16 | exit 1 | ||
17 | fi | ||
18 | |||
5 | COMPOSER_COMMAND='composer' | 19 | COMPOSER_COMMAND='composer' |
6 | 20 | ||
7 | DIR="${BASH_SOURCE}" | 21 | DIR="${BASH_SOURCE}" |
diff --git a/scripts/release.sh b/scripts/release.sh index 6186a486..6186a486 100644..100755 --- a/scripts/release.sh +++ b/scripts/release.sh | |||
diff --git a/scripts/require.sh b/scripts/require.sh index c48ab936..c48ab936 100644..100755 --- a/scripts/require.sh +++ b/scripts/require.sh | |||
diff --git a/scripts/update.sh b/scripts/update.sh index d0598135..c62d104a 100644..100755 --- a/scripts/update.sh +++ b/scripts/update.sh | |||
@@ -2,6 +2,20 @@ | |||
2 | # You can execute this file to update wallabag | 2 | # You can execute this file to update wallabag |
3 | # eg: `sh update.sh prod` | 3 | # eg: `sh update.sh prod` |
4 | 4 | ||
5 | IGNORE_ROOT_ARG="--ignore-root-warning" | ||
6 | IGNORE_ROOT=0 | ||
7 | |||
8 | if [ "$1" == "$IGNORE_ROOT_ARG" ]; then | ||
9 | IGNORE_ROOT=1 | ||
10 | fi | ||
11 | |||
12 | # Abort running this script if root | ||
13 | if [ "$IGNORE_ROOT" -eq 0 ] && [ "$EUID" == "0" ]; then | ||
14 | echo "Do not run this script as root!" >&2 | ||
15 | echo "Use $IGNORE_ROOT_ARG to ignore this error." >&2 | ||
16 | exit 1 | ||
17 | fi | ||
18 | |||
5 | set -e | 19 | set -e |
6 | set -u | 20 | set -u |
7 | 21 | ||